Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.construct
Interface FlowConstructAware

All Known Subinterfaces:
  Component, InboundEndpoint, JavaComponent, OutboundRouter

All Known Implementing Classes:
  AbderaServiceComponent, AbstractAggregator, AbstractComponent, AbstractCorrelationAggregator, AbstractJavaComponent, AbstractMessageSplitter, AbstractObjectFactory, AbstractOutboundRouter, AbstractRecipientList, AbstractRoundRobinMessageSplitter, AbstractSelectiveRouter, AbstractWebServiceWrapperComponent, AtomInboundEndpoint, BankQuotesInboundAggregator, BankQuotesResponseAggregator, CallRequestEndpoint, ChainingRouter, ChoiceRouter, ContentBasedRouter, DefaultInboundEndpoint, DefaultJavaComponent, DynamicRequestEndpoint, DynamicRequestEndpoint.NullInboundEndpoint, DynamicURIInboundEndpoint, EndpointSelector, ExceptionBasedRouter, ExpressionMessageSplitter, ExpressionRecipientList, FilterBasedXmlMessageSplitter, FilteringOutboundRouter, FirstSuccessful, FlowConfiguringMessageProcessor, FlowConstructStatisticsMessageObserver, IdempotentMessageFilter, IdempotentSecureHashMessageFilter, InterceptingChainCompositeMessageProcessor, JcaComponent, JerseyResourcesComponent, ListMessageSplitter, MessageChunkAggregator, MessageChunkingRouter, MessageProcessorFilterPair, MulticastingRouter, OutboundPassThroughRouter, PassThroughComponent, PooledJavaComponent, ProcessComponent, PrototypeObjectFactory, Resequencer, RestServiceWrapper, RoundRobin, RssInboundEndpoint, ScriptComponent, ServiceAsyncReplyCompositeMessageSource, ServiceCompositeMessageSource, SimpleAsyncRequestReplyRequester, SimpleCallableJavaComponent, SimpleCollectionAggregator, SingletonObjectFactory, SpringBeanLookup, StartableCompositeMessageSource, StaticRecipientList, SxcFilteringOutboundRouter, TransformerRouter, WebServiceFactoryBean, WebServiceMessageProcessorBuilder, WebServiceWrapperComponent, WebServiceWrapperComponent, XmlMessageSplitter

    public interface FlowConstructAware

Implemented by objects that require the `FlowConstruct` to be injected.

Method Summary
`void` | `setFlowConstruct(FlowConstruct flowConstruct)`

Method Detail

### setFlowConstruct

    void setFlowConstruct(FlowConstruct flowConstruct)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.